com.google.appengine.tools

## Class KickStart

- java.lang.Object
- - com.google.appengine.tools.KickStart

-     public class KickStart
      extends java.lang.Object

  Launches a process in an operating-system agnostic way. Helps us avoid idiosyncrasies in scripts for different platforms. Currently this only works for DevAppServerMain. Takes a command line invocation like:

       java -cp ../lib/appengine-tools-api.jar com.google.appengine.tools.KickStart \
         --jvm_flag="-Dlog4j.configuration=log4j.props"
         com.google.appengine.tools.development.DevAppServerMain \
         --jvm_flag="-agentlib:jdwp=transport=dt_socket,server=y,address=7000"
         --address=localhost --port=5005 appDir

  and turns it into:

       java -cp <an_absolute_path>/lib/appengine-tools-api.jar \
         -Dlog4j.configuration=log4j.props \
         -agentlib:jdwp=transport=dt_socket,server=y,address=7000 \
         com.google.appengine.tools.development.DevAppServerMain \
         --address=localhost --port=5005 <an_absolute_path>/appDir

  while also setting its working directory (if appropriate).

  All arguments between `com.google.appengine.tools.KickStart` and `com.google.appengine.tools.development.DevAppServerMain`, as well as all `--jvm_flag` arguments after `DevAppServerMain`, are consumed by KickStart. The remaining options after `DevAppServerMain` are given as arguments to DevAppServerMain, without interpretation by KickStart. At present, the only valid option to KickStart itself is:

  --jvm_flag=<vm_arg>
    Passes <vm_arg> as a JVM argument for the child JVM. May be repeated.
  Additionally, if the --external_resource_dir argument is specified, we use it to set the working directory instead of the application war directory.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)